package edu.lawrence.auction.entities;

import java.time.LocalDateTime;

import edu.lawrence.auction.interfaces.dtos.BidDTO;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;

@Entity
@Table(name="bids")
public class Bid {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer bidid;
	@ManyToOne
	@JoinColumn(name="auction")
	private Auction auction;
	@ManyToOne
	@JoinColumn(name="bidder")
	private User bidder;
	private int bid;
	private LocalDateTime entered;
	
	public Bid() {}
	
	public Bid(BidDTO core) {
		bid = core.getBid();
		entered = LocalDateTime.now();
	}

	public Integer getBidid() {
		return bidid;
	}

	public void setBidid(Integer tagid) {
		this.bidid = tagid;
	}

	public Auction getAuction() {
		return auction;
	}

	public void setAuction(Auction auction) {
		this.auction = auction;
	}

	public User getBidder() {
		return bidder;
	}

	public void setBidder(User bidder) {
		this.bidder = bidder;
	}

	public int getBid() {
		return bid;
	}

	public void setBid(int bid) {
		this.bid = bid;
	}

	public LocalDateTime getEntered() {
		return entered;
	}

	public void setEntered(LocalDateTime entered) {
		this.entered = entered;
	}
	
}
