package edu.lawrence.auction.entities;

import edu.lawrence.auction.interfaces.dtos.ProfileDTO;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.OneToOne;
import jakarta.persistence.Table;

@Entity
@Table(name="profiles")
public class Profile {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer profileid;
	@OneToOne
	@JoinColumn(name="user")
	private User user;
	private String fullname;
	private String email;
	private String phone;
	@OneToOne
	@JoinColumn(name="shipping")
	private Shipping shipping;
	private String bio;
	@Column(name="public")
	private boolean ispublic;

	public Profile() {}

	public Profile(ProfileDTO core) {
		fullname = core.getFullname();
		email = core.getEmail();
		phone = core.getPhone();
		bio = core.getBio();
		ispublic = core.getIspublic();
	}
	
	public Integer getProfileid() {
		return profileid;
	}

	public void setProfileid(Integer profileid) {
		this.profileid = profileid;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public String getFullname() {
		return fullname;
	}

	public void setFullname(String fullname) {
		this.fullname = fullname;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Shipping getShipping() {
		return shipping;
	}

	public void setShipping(Shipping shipping) {
		this.shipping = shipping;
	}

	public String getBio() {
		return bio;
	}

	public void setBio(String bio) {
		this.bio = bio;
	}

	public boolean getIspublic() {
		return ispublic;
	}

	public void setIspublic(boolean ispublic) {
		this.ispublic = ispublic;
	}
}
