package edu.lawrence.auction.entities;

import edu.lawrence.auction.interfaces.dtos.ShippingDTO;
import jakarta.persistence.Entity;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;

@Entity
@Table(name="shipping")
public class Shipping {
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer shippingid;
	@ManyToOne
	@JoinColumn(name="user")
	private User user;
	private String displayname;
	private String addressone;
	private String addresstwo;
	private String city;
	private String state;
	private String zip;
	
	public Shipping() {}

	public Shipping(ShippingDTO core) {
		displayname = core.getDisplayname();
		addressone = core.getAddressone();
		addresstwo = core.getAddresstwo();
		city = core.getCity();
		state = core.getState();
		zip = core.getZip();
	}
	
	public Integer getShippingid() {
		return shippingid;
	}

	public void setShippingid(Integer shippingid) {
		this.shippingid = shippingid;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public String getDisplayname() {
		return displayname;
	}

	public void setDisplayname(String displayname) {
		this.displayname = displayname;
	}

	public String getAddressone() {
		return addressone;
	}

	public void setAddressone(String addressone) {
		this.addressone = addressone;
	}

	public String getAddresstwo() {
		return addresstwo;
	}

	public void setAddresstwo(String addresstwo) {
		this.addresstwo = addresstwo;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getZip() {
		return zip;
	}

	public void setZip(String zip) {
		this.zip = zip;
	}
}
