package edu.lawrence.auction.repositories;

import java.time.LocalDate;
import java.util.List;
import java.util.UUID;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import edu.lawrence.auction.entities.Auction;

public interface AuctionRepository extends JpaRepository<Auction,UUID>{
	@Query("select a from Auction a where closes<:now and completed=false")
	List<Auction> findIncomplete(LocalDate now);
	
	@Query("select a from Auction a where opens<=:now and closes>=:now")
	List<Auction> findActive(LocalDate now);
}
