package edu.lawrence.auction.repositories;

import java.util.List;
import java.util.UUID;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import edu.lawrence.auction.entities.Purchase;

public interface PurchaseRepository extends JpaRepository<Purchase,UUID>{
	@Query("select p from Purchase p where p.status='Won_bid' and p.bid.bidder.userid=:user")
	List<Purchase> findOffers(UUID user);
	
	@Query("select p from Purchase p where p.status='Confirmed' and p.bid.auction.seller.userid=:user")
	List<Purchase> findSales(UUID user);
	
	@Query("select p from Purchase p where p.status='Charged' and p.bid.bidder.userid=:user")
	List<Purchase> findBills(UUID user);

	@Query("select p from Purchase p where p.status='Paid' and p.bid.auction.seller.userid=:user")
	List<Purchase> findSoldBills(UUID user);

	@Query("select p from Purchase p where p.status='Charged' and p.bid.bidder.userid=:user")
	List<Purchase> findShippedBills(UUID user);
}
