package edu.lawrence.auction;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import edu.lawrence.auction.entities.User;
import edu.lawrence.auction.interfaces.dtos.UserDTO;
import edu.lawrence.auction.services.UserService;

@SpringBootTest
@ActiveProfiles("test")
public class UnitTestExamples {
	@Autowired
	private UserService userService;
	
	static private UserDTO userdto;
	static private String userid;
	static private User user;
	
	@BeforeAll
	public static void init() {
		userdto = new UserDTO();
		userdto.setName("test user");
		userdto.setPassword("hello");
	}
	
	@Test
	public void saveNewUser() throws Exception {
		userid = userService.save(userdto);
		assertTrue(userid.length() > 0);
		System.out.println("Created user with id "+ userid);
	}
	
	@Test
	public void fetchUser() {
		user = userService.findByNameAndPassword(userdto.getName(), userdto.getPassword());
		assertNotNull(user);
		assertEquals(user.getUserid().toString(),userid);
	}
	
}
